## pango1.0 1.40.14

=== meson_options.txt ===
option('enable_docs',
       description: 'Build API reference for Pango using GTK-Doc',
       type: 'boolean',
       value: false)
