## pango1.0 1.8.1-1osso4

=== debian/changelog ===
pango1.0 (1.8.1-1osso4) unstable; urgency=low

  * Bugfixes (N#20703)

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 15 Nov 2005 14:30:14 +0200

pango1.0 (1.8.1-1osso3) unstable; urgency=low

  * Made the fix for bug N#8986

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 10 May 2005 10:39:38 +0300

pango1.0 (1.8.1-1osso2) unstable; urgency=low

  * Fixed bug N#8986 (libexpat.so.1: cannot open shared
    object file).
  * debian/control: A missing build dependency for libexpat was added.

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Mon,  9 May 2005 14:17:48 +0300

pango1.0 (1.8.1-1osso1) unstable; urgency=low

  * Integrated glyphstring cache patch 

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu, 31 Mar 2005 23:56:23 +0300

pango1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * [debian/scripts/vars, debian/sources] Updated for new upstream release.
  * [debian/patches/absolute-attribute.diff] Removed; this is now handled
    upstream in a different way.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  6 Mar 2005 09:53:11 +0100

pango1.0 (1.8.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    - set myself as maintainer.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 31 Jan 2005 12:34:51 +0100

pango1.0 (1.8.0-2) experimental; urgency=low

  * debian/patches/absolute-attribute.diff:
    - patch to fix absolute fonts (Closes: #289021).

 -- Sebastien Bacher <seb128@debian.org>  Fri,  7 Jan 2005 11:27:16 +0100

pango1.0 (1.8.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - updated the Build-Depends.
  * debian/po/cs.po:
    - Czech translation from Miroslav Kure <kurem@upcase.inf.upol.cz> 
      (Closes: #283224).
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 29 Dec 2004 17:45:00 +0100

pango1.0 (1.6.0-3) unstable; urgency=low

  * debian/rules:
    - set modver to 1.4.0 (Closes: #281806).

 -- Sebastien Bacher <seb128@debian.org>  Tue, 23 Nov 2004 18:35:04 +0100

pango1.0 (1.6.0-2) unstable; urgency=low

  * GNOME team upload.
  * J.H.M. Dassen (Ray):
    - [debian/rules] Changes from trunk:
      + Derive "modver" value from "major" and "minor" rather than have it
        hardwired.
    - Fixed udeb name for the Hurd.
  * Colin Watson <cjwatson@debian.org> (#274092):
    - binary-arch depends on binary-arch-udeb.
    - Strip udeb!
  * Jordi Mallach:
    - Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Nov 2004 14:41:32 +0100

pango1.0 (1.6.0-1) experimental; urgency=low

  * New upstream release.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 14 Sep 2004 21:37:45 +0200

pango1.0 (1.5.2-1) experimental; urgency=low

  * New upstream development release.
  * [debian/pango.defoma] Fixed logic.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  7 Aug 2004 10:37:12 +0200

pango1.0 (1.5.0-2) experimental; urgency=low

  * debian/rules:
    - modversion is still 1.4.0 since there is not compatibility breakage
      for the moment.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  2 Jul 2004 11:49:31 +0200

pango1.0 (1.5.0-1) experimental; urgency=low

  * New development upstream release.
  * debian/watch: Updated to the unstable branch.
  * debian/pango.defoma: Use patch by Flavio Stanchina
    <flavio.stanchina@tin.it> to fix perl warnings in the defoma
    script. Thanks for the patch! (Closes: #256335)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 28 Jun 2004 13:17:02 +0200

pango1.0 (1.4.0-4) unstable; urgency=high

  * debian/rules:
    + reverted previous change to fix the breakages on ia64 and alpha
      (Closes: #252401).

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Jun 2004 15:39:56 +0200

pango1.0 (1.4.0-3) unstable; urgency=low

  * GNOME Team Upload.
  * Upload to unstable (Closes: #238663).
  * Akira TAGOH <tagoh@debian.org>
  + backport from 1.2.5-4
  + debian/pango.defoma:
    - fixed to avoid the regex fails due to unquoted strings.
  + po/tr.po:
    - added Turkish translation.
  * J.H.M. Dassen (Ray) <jdassen@debian.org>:
  + debian/rules: Make the linker work a bit harder so dynamic loading can be
    done faster; safety measure: ensure the build aborts when the library
    still has references to undefined symbols. 

 -- Sebastien Bacher <seb128@debian.org>  Sat, 22 May 2004 14:52:43 +0200

pango1.0 (1.4.0-2) experimental; urgency=low

  * Akira TAGOH <tagoh@debian.org>
  + backport from 1.2.5-3
    - po/nl.po: added Dutch translation.
    - debian/control: fixed the dependencies for the separated xlibs-dev.
    - debian/rules: don't specify the modules for --with-included-modules for
      the static build. that bug was already gone.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 20 Apr 2004 00:23:25 +0900

pango1.0 (1.4.0-1) experimental; urgency=low

  * New upstream release (Closes: #238663).
  * debian/pango-querymodules.1:
    + removed since included in the new upstream release.
  * debian/patches/000_pango1.0-1.2.5-fix-thai-sharper.patch:
    + removed.
  * debian/patches/001_new_freetype_build_system.patch:
    + removed.
  * debian/rules:     
     - don't claim the newer shlibs.
     - updated modules list.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 18 Mar 2004 21:07:49 +0100

pango1.0 (1.2.5-5) unstable; urgency=low

  * Akira TAGOH <tagoh@debian.org>
  + debian/pango.defoma:
    - fixed to avoid the regex fails due to unquoted strings.
      Thanks to Flavio Stanchina <flavio.stanchina@tin.it>
      (closes: Bug#247198)
  + po/tr.po:
    - added Turkish translation. (closes: Bug#246079)
      Thanks to Gürkan Aslan <gurkan@iaslan.com>

 -- Akira TAGOH <tagoh@debian.org>  Mon, 10 May 2004 02:34:54 +0900

pango1.0 (1.2.5-3) unstable; urgency=low

  * Ack to NMU (closes: Bug#221431, Bug#220988)
  * po/nl.po: added Dutch translation.
    thanks to Luk Claes <luk.claes@ugent.be> (closes: Bug#244321)

