=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include debian/scripts/vars
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
BUILD_DIR=$(SOURCE_DIR)/$(TAR_DIR)
BUILD_SHARED_DIR=$(SOURCE_DIR)/$(TAR_DIR)-shared
BUILD_STATIC_DIR=$(SOURCE_DIR)/$(TAR_DIR)-static
BUILD_UDEB_DIR=$(SOURCE_DIR)/$(TAR_DIR)-udeb

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

##
debversion=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //')
version=$(shell echo ${debversion} | sed -e 's/-[A-Za-z0-9\.]*$$//g' -e 's/+[A-Za-z0-9\.]*$$//g')
major=$(shell echo ${version} | sed -e 's/\(^[0-9]*\)\.[0-9]*\.[0-9]*$$/\1/')
minor=$(shell echo ${version} | sed -e 's/^[0-9]*\.\([0-9]*\)\.[0-9]*$$/\1/')
rel=$(shell echo ${version} | sed -e 's/^[0-9]*\.[0-9]*\.\([0-9]*\)$$/\1/')
shortver=$(major).$(minor)
apiver=1.0
soname=0
glibver=2.0
modver=1.4.0
libpath=$(CURDIR)/$(BUILD_SHARED_DIR)/pango/.libs
udeblibpath=$(CURDIR)/$(BUILD_UDEB_DIR)/pango/.libs
udebname=libpango$(apiver)-udeb_$(debversion)_$(shell dpkg-architecture -qDEB_BUILD_ARCH).udeb


debian/control:
	dh_testdir

	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' -e 's/@GNOME_TEAM@/${uploaders}/' $@.in > $@

update-po: debian/po/templates.pot
debian/po/templates.pot: debian/libpango1.0-common.templates
	debconf2po-update

extract: $(STAMP_DIR)/extract-stamp
$(STAMP_DIR)/extract-stamp:
	dh_testdir

	$(MAKE) -f debian/sys-build.mk source.make

	-test -r /usr/share/misc/config.sub && \
	   cp -f /usr/share/misc/config.sub $(BUILD_DIR)/config.sub
	-test -r /usr/share/misc/config.guess && \
	   cp -f /usr/share/misc/config.guess $(BUILD_DIR)/config.guess

	touch $@

configure-shared: extract $(STAMP_DIR)/configure-shared-stamp
$(STAMP_DIR)/configure-shared-stamp:
	dh_testdir

	cp -ar $(BUILD_DIR) $(BUILD_SHARED_DIR)

	cd $(BUILD_SHARED_DIR) && \
	./configure	--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--with-html-dir=\$${prefix}/share/doc/libpango$(apiver)-doc \
			--sysconfdir=/etc \
			--enable-shared \
			--disable-static

	cd $(BUILD_SHARED_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool

	touch $@

configure-static: extract $(STAMP_DIR)/configure-static-stamp
$(STAMP_DIR)/configure-static-stamp:
	dh_testdir

	cp -ar $(BUILD_DIR) $(BUILD_STATIC_DIR)

	cd $(BUILD_STATIC_DIR) && \
	./configure	--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--disable-shared \
			--with-included-modules \
			--enable-static

	cd $(BUILD_STATIC_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool

	touch $@

configure-udeb: extract $(STAMP_DIR)/configure-udeb-stamp
$(STAMP_DIR)/configure-udeb-stamp:
	dh_testdir

	cp -ar $(BUILD_DIR) $(BUILD_UDEB_DIR)

	cd $(BUILD_UDEB_DIR) && \
	./configure	--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--without-x \
			--enable-shared \
			--disable-debug

	cd $(BUILD_UDEB_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool

	touch $@

configure: configure-static configure-shared configure-udeb

build-shared: debian/control update-po configure-shared $(STAMP_DIR)/build-shared-stamp
$(STAMP_DIR)/build-shared-stamp:
	dh_testdir

	-rm -f $(STAMP_DIR)/install-test-stamp
	$(MAKE) -C $(BUILD_SHARED_DIR) \
		LD_LIBRARY_PATH=$(libpath):$(LD_LIBRARY_PATH)

	touch $@

build-static: debian/control update-po configure-static $(STAMP_DIR)/build-static-stamp
$(STAMP_DIR)/build-static-stamp:
	dh_testdir

	-rm -f $(STAMP_DIR)/install-test-stamp
	$(MAKE) -C $(BUILD_STATIC_DIR)

	touch $@

build-udeb: debian/control update-po configure-udeb $(STAMP_DIR)/build-udeb-stamp
$(STAMP_DIR)/build-udeb-stamp:
	dh_testdir

	-rm -f $(STAMP_DIR)/install-test-stamp
	$(MAKE) -C $(BUILD_UDEB_DIR) \
		LD_LIBRARY_PATH=$(udeblibpath):$(LD_LIBRARY_PATH)

	touch $@

build: build-static build-shared

clean:: debian/control update-po
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	$(MAKE) -f debian/sys-build.mk source.clean
	-rm -rf $(BUILD_SHARED_DIR)
	-rm -rf $(BUILD_STATIC_DIR)
	-rm -rf $(BUILD_UDEB_DIR)
	-rm -rf $(STAMP_DIR)

	dh_clean

install-test: $(STAMP_DIR)/install-test-stamp
$(STAMP_DIR)/install-test-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# generating debian files from .in
	for f in `find debian/ -name "[^c]*.in"`; do \
		sed -e "s/@VERSION@/${version}/g" -e "s/@MODVER@/${modver}/g" $$f > `echo $$f | sed -e "s/\.in//"`; \
	done

	touch $@

install-shared: build-shared install-test
	$(MAKE) -C $(BUILD_SHARED_DIR) install \
		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname) \
		LD_LIBRARY_PATH=$(libpath):$(LD_LIBRARY_PATH)

install-static: build-static install-test
	$(MAKE) -C $(BUILD_STATIC_DIR) install \
		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname)

install-udeb: build-udeb install-test
	$(MAKE) -C $(BUILD_UDEB_DIR) install \
		DESTDIR=$(CURDIR)/debian/tmp \
		LD_LIBRARY_PATH=$(udeblibpath):$(LD_LIBRARY_PATH)

	# clean the unnecessary files up
	rm -rf debian/tmp/usr/share/gtk-doc

	dh_movefiles
	-rm -rf $(CURDIR)/debian/libpango$(apiver)-udeb/usr/share/doc

	# create pango.modules
	mkdir -p $(CURDIR)/debian/libpango$(apiver)-udeb/etc/pango
	LD_LIBRARY_PATH=$(udeblibpath):$(LD_LIBRARY_PATH)	\
	$(BUILD_UDEB_DIR)/pango/pango-querymodules		\
		$(CURDIR)/debian/libpango$(apiver)-udeb/usr/lib/pango/$(modver)/modules/*.so \
		> $(CURDIR)/debian/libpango$(apiver)-udeb/etc/pango/pango.modules.tmp
	sed -e 's,^${CURDIR}/debian/libpango${apiver}-udeb,,g' $(CURDIR)/debian/libpango$(apiver)-udeb/etc/pango/pango.modules.tmp > $(CURDIR)/debian/libpango$(apiver)-udeb/etc/pango/pango.modules
	rm -f $(CURDIR)/debian/libpango$(apiver)-udeb/etc/pango/pango.modules.tmp

	-find $(CURDIR)/debian/ -type d -empty ! -regex '.*/var.*' -prune | xargs rmdir -p 2>&1 > /dev/null

	# don't ship pangox.aliases
	rm -f debian/libpango$(apiver)-udeb/etc/pango/pangox.aliases

install: install-static install-shared
	# for -dbg
	-rm -rf $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
	mkdir -p $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
	for l in `find $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib -name 'lib*.so*'`; do \
		cp -vdf $$l \
			$(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug/; \
	done

	# for defoma
	install -m 644 $(CURDIR)/debian/pango.defoma \
		       $(CURDIR)/debian/libpango$(apiver)-common/usr/share/defoma/scripts
	install -m 644 $(CURDIR)/debian/defoma.conf \
		       $(CURDIR)/debian/libpango$(apiver)-common/etc/defoma/config/pango.conf

	# in debian/
	install -m 755 $(CURDIR)/debian/update-pango-modules \
		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
	install -m 755 $(CURDIR)/debian/update-pangox-aliases \
