## pango1.0 1.8.1-1osso10

=== debian/changelog ===
pango1.0 (1.8.1-1osso10) unstable; urgency=low

  * revert patch for line breaking code + dependency to glib 2.10  ...

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 11 May 2006 10:17:11 +0300

pango1.0 (1.8.1-1osso9) unstable; urgency=low

  * change to debian scripts, remove defoma dependency 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed,  3 May 2006 15:42:23 +0300

pango1.0 (1.8.1-1osso8) unstable; urgency=low

  * fixed glib dependency to 2.10 (because of definitions for unicode) 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed,  3 May 2006 10:45:28 +0300

pango1.0 (1.8.1-1osso7) unstable; urgency=low

  * Backporting line breaking code from new pango, fixes issue with
    pango_layout_get_pixel_size call from FKB. Disabled defoma dependency.

 -- Tapani Palli <tapani.palli@nokia.com>  Tue,  2 May 2006 14:34:39 +0300

pango1.0 (1.8.1-1osso6) unstable; urgency=low

  * added thumb code generation flags 

 -- Tapani Palli <tapani.palli@nokia.com>  Mon, 24 Apr 2006 13:53:29 +0300

pango1.0 (1.8.1-1osso5) unstable; urgency=low

  * upstream memory optimization patches (N#22863)

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 23 Feb 2006 14:04:31 +0200
