=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Sebastien Bacher <seb128@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Johannes Rohr <j.rohr@comlink.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Ondřej Surý <ondrej@debian.org>, Rob Bradford <rob@debianplanet.org>, Rob Taylor <robtaylor@fastmail.fm>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Takuo KITAME <kitame@debian.org>
-Build-Depends: debhelper (>= 4.1.16), libfreetype6-dev (>= 2.1.7), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, libxt-dev | xlibs-dev, libglib2.0-dev (>= 2.6.0), pkg-config, defoma (>= 0.11.1), libxft-dev, libfontconfig1-dev (>= 2.1.91), autotools-dev, po-debconf, gnome-pkg-tools
+Maintainer: Tapani Palli <tapani.palli@nokia.com>
+Build-Depends: debhelper (>= 4.1.16), libfreetype6-dev (>= 2.1.7), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, libxt-dev | xlibs-dev, libglib2.0-dev (>= 1.8.1), pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91), autotools-dev, po-debconf, gnome-pkg-tools
 Standards-Version: 3.6.1
 
 Package: libpango1.0-0
@@ -51,7 +50,7 @@
 Package: libpango1.0-common
 Section: misc
 Architecture: any
-Depends: debconf, defoma (>= 0.11.1), fontconfig (>= 2.1.91), libexpat1, ${shlibs:Depends}
+Depends: debconf, fontconfig (>= 2.1.91), libexpat1, ${shlibs:Depends}
 Recommends: x-ttcidfont-conf
 Suggests: ttf-kochi-gothic, ttf-kochi-mincho, ttf-thryomanes, ttf-baekmuk, ttf-arphic-gbsn00lp, ttf-arphic-bsmi00lp, ttf-arphic-gkai00mp, ttf-arphic-bkai00mp
 Replaces: libpango0, libpango-common (<< 1.0.0)
@@ -75,7 +74,7 @@
 Package: libpango1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libpango1.0-0 (= ${Source-Version}), libglib2.0-dev (>= 2.4.1-2), libfreetype6-dev (>= 2.1.3), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91)
+Depends: libpango1.0-0 (= ${Source-Version}), libglib2.0-dev (>= 1.8.1), libfreetype6-dev (>= 2.1.3), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91)
 Suggests: libpango1.0-doc
 Replaces: libpango-dev
 Conflicts: libpango-dev
