=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 include debian/scripts/vars
-include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 BUILD_DIR=$(SOURCE_DIR)/$(TAR_DIR)
 BUILD_SHARED_DIR=$(SOURCE_DIR)/$(TAR_DIR)-shared
 BUILD_STATIC_DIR=$(SOURCE_DIR)/$(TAR_DIR)-static
@@ -23,9 +22,17 @@
 else
 	CFLAGS += -O2
 endif
+
+# Use soft-float and thumb mode if it enabled. 
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
+
+export CFLAGS
 
 ##
 debversion=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //')
@@ -46,7 +53,7 @@
 debian/control:
 	dh_testdir
 
-	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' -e 's/@GNOME_TEAM@/${uploaders}/' $@.in > $@
+	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' $@.in > $@
 
 update-po: debian/po/templates.pot
 debian/po/templates.pot: debian/libpango1.0-common.templates
@@ -244,12 +251,11 @@
 	done
 
 	# for defoma
-	install -m 644 $(CURDIR)/debian/pango.defoma \
+	#install -m 644 $(CURDIR)/debian/pango.defoma \
 		       $(CURDIR)/debian/libpango$(apiver)-common/usr/share/defoma/scripts
-	install -m 644 $(CURDIR)/debian/defoma.conf \
+	#install -m 644 $(CURDIR)/debian/defoma.conf \
 		       $(CURDIR)/debian/libpango$(apiver)-common/etc/defoma/config/pango.conf
 
 	# in debian/
 	install -m 755 $(CURDIR)/debian/update-pango-modules \
 		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
-	install -m 755 $(CURDIR)/debian/update-pangox-aliases \
