## pango1.0 1.8.1-1osso16

=== debian/changelog ===
pango1.0 (1.8.1-1osso16) unstable; urgency=low

  * provide debug package containing only symbols (NOBITS)
  * Fixes: NB#40542 

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 21 Sep 2006 16:13:19 +0300

pango1.0 (1.8.1-1osso15) unstable; urgency=low

  * took away one useless patch to configure.ac 

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 31 Aug 2006 10:31:18 +0300

pango1.0 (1.8.1-1osso14) unstable; urgency=low

  * disabled all other modules except basic, fixes NB#38278 

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 24 Aug 2006 15:46:24 +0300

pango1.0 (1.8.1-1osso13) unstable; urgency=low

  * applied patch for line breaking, fixes NB#31607
  * enabled 'g' in compilation to get .debug_frame, fixes #NB35625

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 26 Jul 2006 16:43:56 +0300

pango1.0 (1.8.1-1osso12) unstable; urgency=low

  * enable thumb code generation 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 24 May 2006 14:05:35 +0300

pango1.0 (1.8.1-1osso11) unstable; urgency=low

  * disabling thumb flag temporarily

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 24 May 2006 14:05:32 +0300
