=== debian/control ===
--- 
+++ 
@@ -95,7 +95,7 @@
  This package contains the header files and some files needed for development
  with Pango.
 
-Package: libpango1.0-dbg
+Package: libpango1.0-0-dbg
 Section: libdevel
 Priority: extra
 Architecture: any
