=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,9 @@
 
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
+	CFLAGS += -O0 -g
 else
-	CFLAGS += -O2
+	CFLAGS += -O2 -g
 endif
 
 # Use soft-float and thumb mode if it enabled. 
@@ -87,7 +87,8 @@
 			--with-html-dir=\$${prefix}/share/doc/libpango$(apiver)-doc \
 			--sysconfdir=/etc \
 			--enable-shared \
-			--disable-static
+			--disable-static \
+			--with-included-modules=basic-fc,basic-win32,basic-x
 
 	cd $(BUILD_SHARED_DIR) && \
 	sed < libtool > libtool-2 \
@@ -111,8 +112,8 @@
 			--infodir=\$${prefix}/share/info \
 			--sysconfdir=/etc \
 			--disable-shared \
-			--with-included-modules \
-			--enable-static
+			--enable-static \
+			--with-included-modules=basic-fc,basic-win32,basic-x
 
 	cd $(BUILD_STATIC_DIR) && \
 	sed < libtool > libtool-2 \
@@ -137,7 +138,8 @@
 			--sysconfdir=/etc \
 			--without-x \
 			--enable-shared \
-			--disable-debug
+			--disable-debug \
+			--with-included-modules=basic-fc,basic-win32,basic-x
 
 	cd $(BUILD_UDEB_DIR) && \
 	sed < libtool > libtool-2 \
@@ -243,9 +245,9 @@
 
 install: install-static install-shared
 	# for -dbg
-	-rm -rf $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
-	mkdir -p $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
-	for l in `find $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib -name 'lib*.so*'`; do \
+	#-rm -rf $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
+	#mkdir -p $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
+	#for l in `find $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib -name 'lib*.so*'`; do \
 		cp -vdf $$l \
 			$(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug/; \
 	done
@@ -256,6 +258,3 @@
 	#install -m 644 $(CURDIR)/debian/defoma.conf \
 		       $(CURDIR)/debian/libpango$(apiver)-common/etc/defoma/config/pango.conf
 
-	# in debian/
-	install -m 755 $(CURDIR)/debian/update-pango-modules \
-		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
