## pango1.0 1.8.1-1osso16.sardine1

=== debian/changelog ===
pango1.0 (1.8.1-1osso16.sardine1) unstable; urgency=low

  * Add tolerant-break-types.patch to cope with new break types returned
    by glib 2.10.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 18 Oct 2006 20:20:04 +0300
