## pango1.0 1.8.1-1osso18

=== debian/changelog ===
pango1.0 (1.8.1-1osso18) unstable; urgency=low

  * take away self-dependency, don't build -udeb!

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 30 Nov 2006 13:57:49 +0200

pango1.0 (1.8.1-1osso17) unstable; urgency=low

  * fix to _really_ have debug symbols ...
  * Fixes: NB#35625 

 -- Tapani Palli <tapani.palli@nokia.com>  Fri, 17 Nov 2006 15:55:21 +0200
