## pango1.0 1.8.1-1osso19

=== debian/changelog ===
pango1.0 (1.8.1-1osso19) unstable; urgency=low

  * use hw floating point if available
  * Fixes: NB#50600 

 -- Tapani Pälli <tapani.palli@nokia.com>  Tue, 16 Jan 2007 08:37:14 +0200
