=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,15 @@
 	CFLAGS += -O2 -g
 endif
 
+# Use hardware floating point
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
 # Use soft-float and thumb mode if it enabled. 
+else
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
 endif
-
+endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -244,17 +248,14 @@
 	rm -f debian/libpango$(apiver)-udeb/etc/pango/pangox.aliases
 
 install: install-static install-shared
-	# for -dbg
-	#-rm -rf $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
-	#mkdir -p $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
-	#for l in `find $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib -name 'lib*.so*'`; do \
-		cp -vdf $$l \
-			$(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug/; \
-	done
-
-	# for defoma
-	#install -m 644 $(CURDIR)/debian/pango.defoma \
-		       $(CURDIR)/debian/libpango$(apiver)-common/usr/share/defoma/scripts
-	#install -m 644 $(CURDIR)/debian/defoma.conf \
-		       $(CURDIR)/debian/libpango$(apiver)-common/etc/defoma/config/pango.conf
-
+	# in debian/
+	install -m 755 $(CURDIR)/debian/update-pango-modules \
+		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
+
+	# clean the unnecessary files up
+	rm -rf debian/libpango$(apiver)-$(soname)/usr/share/gtk-doc
+
+	dh_movefiles --sourcedir=debian/libpango$(apiver)-$(soname) -Nlibpango$(apiver)-udeb
+	-find $(CURDIR)/debian/ -type d -empty ! -regex '.*/var.*' -prune | xargs rmdir -p 2>&1 > /dev/null
+
+	# don't ship pango.modules and pangox.aliases
