## pango1.0 1.8.1-1osso20

=== debian/changelog ===
pango1.0 (1.8.1-1osso20) unstable; urgency=low

  * revert hw floating point patch due to rather large memory tradeoff it
    caused
  * Fixes: NB#50866

 -- Tapani Pälli <tapani.palli@nokia.com>  Mon, 29 Jan 2007 13:08:42 +0200
