=== debian/control ===
--- 
+++ 
@@ -20,28 +20,6 @@
  four different font backends:
   - Core X windowing system fonts
   - Client-side fonts on X using the Xft library
-  - Direct rendering of scalable fonts using the FreeType library
-  - Native fonts on Microsoft backends
- .
- This package contains the shared libraries.
-
-Package: libpango1.0-udeb
-Section: debian-installer
-Priority: optional
-Architecture: any
-Depends: ${shlibs:Depends}
-Provides: libpango1.0-0
-Description: Layout and rendering of internationalized text
- This is a udeb, or a microdeb, for the debian-installer.
- .
- Pango is a library for layout and rendering of text, with an emphasis
- on internationalization. Pango can be used anywhere that text layout is
- needed. however, most of the work on Pango-1.0 was done using the GTK+
- widget toolkit as a test platform. Pango forms the core of text and
- font handling for GTK+-2.0.
- .
- Pango is designed to be modular; the core Pango layout can be used with
- four different font backends:
   - Direct rendering of scalable fonts using the FreeType library
   - Native fonts on Microsoft backends
  .
