## pango1.0 1.14.7-1osso1

=== debian/changelog ===
pango1.0 (1.14.7-1osso1) unstable; urgency=low

  * version upgrade to 1.14.7 

 -- Tapani Palli <tapani.palli@nokia.com>  Mon, 30 Oct 2006 10:09:16 +0200
