=== debian/rules ===
--- 
+++ 
@@ -23,15 +23,11 @@
 	CFLAGS += -O2 -g
 endif
 
-# Use hardware floating point
-ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
 # Use soft-float and thumb mode if it enabled. 
-else
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
 endif
-endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -259,3 +255,6 @@
 	-find $(CURDIR)/debian/ -type d -empty ! -regex '.*/var.*' -prune | xargs rmdir -p 2>&1 > /dev/null
 
 	# don't ship pango.modules and pangox.aliases
+	#rm -f debian/libpango$(apiver)-common/etc/pango/pango.modules
+	rm -f debian/libpango$(apiver)-common/etc/pango/pangox.aliases
+
