## pango1.0 1.14.7-1osso2

=== debian/changelog ===
pango1.0 (1.14.7-1osso2) unstable; urgency=low

  * cleaning up debian/rules, build only shared library 

 -- Tapani Palli <tapani.palli@nokia.com>  Tue, 23 Jan 2007 14:55:56 +0200
