## pango1.0 1.14.7-1osso3

=== debian/changelog ===
pango1.0 (1.14.7-1osso3) unstable; urgency=low

  * do not pack .la files to dev package 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 31 Jan 2007 12:52:00 +0200
