=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 debian/control:
 	dh_testdir
 
-	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' $@.in > $@
+	#sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' $@.in > $@
 
 update-po: debian/po/templates.pot
 debian/po/templates.pot: debian/libpango1.0-common.templates
@@ -149,7 +149,7 @@
 
 	touch $@
 
-configure: configure-static configure-shared configure-udeb
+configure: configure-shared
 
 build-shared: debian/control update-po configure-shared $(STAMP_DIR)/build-shared-stamp
 $(STAMP_DIR)/build-shared-stamp:
@@ -180,7 +180,7 @@
 
 	touch $@
 
-build: build-static build-shared
+build: build-shared
 
 clean:: debian/control update-po
 	dh_testdir
@@ -243,7 +243,7 @@
 	# don't ship pangox.aliases
 	rm -f debian/libpango$(apiver)-udeb/etc/pango/pangox.aliases
 
-install: install-static install-shared
+install: install-shared
 	# in debian/
 	install -m 755 $(CURDIR)/debian/update-pango-modules \
 		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
@@ -258,3 +258,5 @@
 	#rm -f debian/libpango$(apiver)-common/etc/pango/pango.modules
 	rm -f debian/libpango$(apiver)-common/etc/pango/pangox.aliases
 
+# Build architecture-independent files here.
+binary-indep: build install
