=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Tapani Palli <tapani.palli@nokia.com>
-Build-Depends: debhelper (>= 4.1.16), libfreetype6-dev (>= 2.1.7), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, libxt-dev | xlibs-dev, libglib2.0-dev (>= 1.8.1), pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91), autotools-dev, po-debconf, gnome-pkg-tools
+Build-Depends: debhelper (>= 4.1.16), libfreetype6-dev (>= 2.1.7), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, libxt-dev | xlibs-dev, libglib2.0-dev (>= 2.10.0), pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91), autotools-dev, po-debconf, gnome-pkg-tools, libcairo2-dev (>= 1.2.2)
 Standards-Version: 3.6.1
 
 Package: libpango1.0-0
@@ -52,7 +52,7 @@
 Package: libpango1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libpango1.0-0 (= ${Source-Version}), libglib2.0-dev (>= 1.8.1), libfreetype6-dev (>= 2.1.3), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91)
+Depends: libpango1.0-0 (= ${Source-Version}), libglib2.0-dev (>= 2.10.0), libfreetype6-dev (>= 2.1.3), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91)
 Suggests: libpango1.0-doc
 Replaces: libpango-dev
 Conflicts: libpango-dev
@@ -78,26 +78,12 @@
 Priority: extra
 Architecture: any
 Depends: libpango1.0-0 (= ${Source-Version})
-Description: The Pango library and debugging symbols
+Description: The Pango library debugging symbols
  Pango is a library for layout and rendering of text, with an emphasis
  on internationalization. Pango can be used anywhere that text layout is
  needed. however, most of the work on Pango-1.0 was done using the GTK+
  widget toolkit as a test platform. Pango forms the core of text and
  font handling for GTK+-2.0.
- .
- Pango is designed to be modular; the core Pango layout can be used with
- four different font backends:
-  - Core X windowing system fonts
-  - Client-side fonts on X using the Xft library
-  - Direct rendering of scalable fonts using the FreeType library
-  - Native fonts on Microsoft backends
- .
- This package contains unstripped shared libraries. it is provided
- primarily to provide a backtrace with names in a debugger, this makes
- it somewhat easier to interpret core dumps. The libraries are installed
- in /usr/lib/debug and can be used by placing that directory in
- LD_LIBRARY_PATH.
- Most people will not need this package.
 
 Package: libpango1.0-doc
 Section: doc
