=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,14 @@
 	CFLAGS += -O2 -g
 endif
 
-# Use soft-float and thumb mode if it enabled. 
+# Prefer hardware floating point if enabled
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+else
+# Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
+endif
 endif
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
@@ -211,12 +216,12 @@
 
 install-shared: build-shared install-test
 	$(MAKE) -C $(BUILD_SHARED_DIR) install \
-		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname) \
+		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname)-tmp \
 		LD_LIBRARY_PATH=$(libpath):$(LD_LIBRARY_PATH)
 
 install-static: build-static install-test
 	$(MAKE) -C $(BUILD_STATIC_DIR) install \
-		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname)
+		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname)-tmp
 
 install-udeb: build-udeb install-test
 	$(MAKE) -C $(BUILD_UDEB_DIR) install \
@@ -249,14 +254,9 @@
 		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
 
 	# clean the unnecessary files up
-	rm -rf debian/libpango$(apiver)-$(soname)/usr/share/gtk-doc
-
-	dh_movefiles --sourcedir=debian/libpango$(apiver)-$(soname) -Nlibpango$(apiver)-udeb
+	rm -rf debian/libpango$(apiver)-$(soname)-tmp/usr/share/gtk-doc
+
+	dh_movefiles --sourcedir=debian/libpango$(apiver)-$(soname)-tmp -Nlibpango$(apiver)-udeb
 	-find $(CURDIR)/debian/ -type d -empty ! -regex '.*/var.*' -prune | xargs rmdir -p 2>&1 > /dev/null
 
 	# don't ship pango.modules and pangox.aliases
-	#rm -f debian/libpango$(apiver)-common/etc/pango/pango.modules
-	rm -f debian/libpango$(apiver)-common/etc/pango/pangox.aliases
-
-# Build architecture-independent files here.
-binary-indep: build install
