## pango1.0 1.16.4-1osso5

=== debian/changelog ===
pango1.0 (1.16.4-1osso5) unstable; urgency=low

  *  Fix debug packages build. Fixes: NB#70471

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Tue,  20 Sep 2007 18:13:15 +0300
